gr::radar::ts_fft_cc Class Reference

This blocks takes a tagged stream and returns a FFT of the length of the input stream. The output is NOT normalized on the number of input items and no window is used. More...

`#include <ts_fft_cc.h>`

Inheritance diagram for gr::radar::ts_fft_cc:

## Public Types

typedef std::shared_ptr< ts_fft_cc > | sptr

## Static Public Member Functions

static sptr | make (int packet_len, const std::string &len_key="packet_len")
| Return a shared_ptr to a new instance of radar::ts_fft_cc.

## Detailed Description

This blocks takes a tagged stream and returns a FFT of the length of the input stream. The output is NOT normalized on the number of input items and no window is used.

Parameters

  packet_len | Packet length of tagged stream
  len_key | Packet length key for tagged stream

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<ts_fft_cc> gr::radar::ts_fft_cc::sptr

## Member Function Documentation

## make()

sptr gr::radar::ts_fft_cc::make | ( | int | packet_len,
|  | const std::string & | len_key = "packet_len" )

static

Return a shared_ptr to a new instance of radar::ts_fft_cc.

To avoid accidental use of raw pointers, radar::ts_fft_cc's constructor is in a private implementation class. radar::ts_fft_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- ts_fft_cc.h